and now linking problems

Carsten Weinhold weinhold at
Wed Mar 7 23:26:06 CET 2007

Am Mittwoch März 7 2007 schrieb Adam Lackorzynski:
> Hi,


> On Thu Mar 08, 2007 at 00:26:55 +0300, Igor Shmukler wrote:
> > I have another problem. This time it's linking issue. I was compiling
> > with gcc 3.3.
> >
> > Please advise:
> I just tried to reproduce this, with no luck. Linking always worked,
> with g++ (4.1) and g++-3.3.
> This is an Ubuntu Feisty, right? Anything special in your setup?

In Edgy, the Ubuntu default compiler (but not the older 3.3 version) has the 
stack guard feature enabled by default. We have a fix for Fiasco in SVN, but 
Igor said he is still using a CVS checkout, which could be the problem here.

Igor: Are you sure you compiled Fiasco with GCC 3.3? Call 'make config' in 
l4/kernel/fiasco/build/ and check the compiler settings in the 'Compiling and 
Building' menu. If it says 'gcc' and 'g++', you are still using the Ubuntu 
default compiler for Fiasco. Just doing a 'make config' in l4/ is not enough, 
as it does not affect Fiasco build options.


> [...]

More information about the l4-hackers mailing list